Download it now!
Bug 123262 - FILEOPEN: DOCX: Footnote separator text is being added to each footnote
Summary: FILEOPEN: DOCX: Footnote separator text is being added to each footnote
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.7.2 release
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords: filter:docx
Depends on:
Blocks: DOCX-Styles DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2019-02-08 11:34 UTC by andreas_k
Modified: 2020-01-08 16:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Different Footnote Style (408.78 KB, application/pdf)
2019-02-08 11:34 UTC, andreas_k
Details
Footnote Style docx (48.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-11 14:36 UTC, andreas_k
Details
tdf123262_textFootnoteSeparators.docx: clear and simple unit test (28.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-11-06 18:47 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-02-08 11:34:55 UTC
Created attachment 149022 [details]
Different Footnote Style

When have an Footnote the syle in MSO 2010 is different than in LibO 6.2.
Comment 1 andreas_k 2019-02-08 11:35:49 UTC
I think only the numbering has to be superscripted cause everything else look good to me.
Comment 2 Xisco Faulí 2019-02-08 16:59:08 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 3 andreas_k 2019-02-11 14:36:48 UTC
Created attachment 149138 [details]
Footnote Style docx

Attached the docx file that will not propper open.
Comment 4 Dieter Praas 2019-05-01 12:00:38 UTC
Result

Footnote style in MSO 2016: Footnote after a blank paragraph
LO 6.3:  Footnote number in one paragaph and footnote text in a new paragraph

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 421e6fc3cd2e6fe37afbef341e2d0ad7b8edde37
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-07_01:12:58
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

and also in

Version: 5.4.7.2 (x64)
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 5 Justin L 2019-11-06 18:47:01 UTC
Created attachment 155590 [details]
tdf123262_textFootnoteSeparators.docx: clear and simple unit test

A working, but probably lousy implementation can be seen at https://gerrit.libreoffice.org/82172.

The issue here is that MSO allows ANY kind of text to be included in the separator footnote - including multiple paragraphs (in OP's case a blank line).
In this fix I am just throwing that (very unusual) information away. One enhancement would be to add that text prior to the first footnote marker (if that is even possible, which it probably isn't).
Comment 6 Commit Notification 2019-12-20 09:59:48 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/acb9d901009d026cb48e6a8b94e6200f05110504

tdf#123262 writerfilter: completely ignore footnote separators

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-12-21 09:37:01 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fa3cb1a31ef0bbe9ebc8ab8a79463c7f4d760d89

nitpick tdf#123262 writefilter: use enum class and document

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-12-23 09:09:11 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 0322a41224a7264bbe03a068647ab093bcc88f90
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Justin, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-01-08 16:43:19 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1bbff471cdcfcd4a9ceb6ff6fed7006fbc3f6e1c

tdf#123262 writerfilter: completely ignore footnote separators

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.